## Create location attribute

### cURL

```bash
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/location/attribute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "code": "isBopis",
  "name": "isBopis",
  "description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
  "required": true
}
'
```

```python
import requests

url = "https://prod01.oms.fabric.inc/api/v2/location/attribute"

payload = {
    "code": "isBopis",
    "name": "isBopis",
    "description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
    "required": True
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    code: 'isBopis',
    name: 'isBopis',
    description: 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
    required: true
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Response Status Codes

- **200** - Success.
- **400** - Invalid payload or parameter.
- **409** - Entered code is a duplicated code.
- **500** - An internal error occurred. If the issue persists please contact support@fabric.inc.

### Sample Successful Response
```json
{
  "id": "622786ae0bdb19221a24fb61",
  "code": "isBopis",
  "name": "Is Bopis",
  "description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
  "required": true
}
```

### Sample Error Responses

```json
{
  "message": "Invalid payload or parameter"
}
```

```json
{
  "message": "Entered code is a duplicated code"
}
```

```json
{
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
```

### Authorization

- **Authorization**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Headers

- **x-site-context**: The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.

### Body Parameters

- **code**: Location attribute code. Example: `"isBopis"`
- **name**: Location attribute name. Example: `"isBopis"`
- **description**: Detailed description of the attribute. Example: `"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)"`
- **required**: Flag to define the attribute as mandatory while creating location. If it's configured as true, this attribute is mandatory while creating location. Example: `true`.
